#include <iostream>

using namespace std;
int n, m, ai[1000], xi[1000], yi[1000],k, i, j, s;
int main()
{

    cin >> n;
    for (j = 1; j <= n; j++)
    {
        cin >> ai[j];
        cin >> xi[j];
        yi[j] = 0;
    }



    s = 0;
    for (j = 1; j <= n; j++) {
        for (i = 1; i <= n; i++) {
            if (xi[j] >= xi[i]) {
                yi[j] = yi[j] + ai[i] * xi[i]/100;


            }
        }
        if (yi[j] > s)
        {
            s = yi[j];
           
        }

    }

    cout << s ;

    return 0;
}